curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
List brand workflows
Workflow executions for the brand.
GET
/
v1
/
brands
/
{brand_id}
/
workflows
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
Path parameters
string (uuid)
required
Query parameters
integer
Max items (capped at 1000).
integer
string
Filter by status.
Response
object
object[]
required
integer
required
integer
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Workflow executions for the brand. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"current_phase": "string",
"routing_mode": "string",
"duration_ms": 8,
"started_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
Last modified on August 31, 2026